Package org.apache.ignite.configuration

## Class SqlConnectorConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.SqlConnectorConfiguration

-     @Deprecated
      public class SqlConnectorConfiguration
      extends Object

  Deprecated.
  SQL connection configuration.

  Deprecated as of Apache Ignite 2.3. Please use `ClientConnectorConfiguration` and `IgniteConfiguration.setClientConnectorConfiguration(ClientConnectorConfiguration)` instead.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DFLT_MAX_OPEN_CURSORS_PER_CONN` | Deprecated. Default max number of open cursors per connection.
    `static int` | `DFLT_PORT` | Deprecated. Default port.
    `static int` | `DFLT_PORT_RANGE` | Deprecated. Default port range.
    `static int` | `DFLT_SOCK_BUF_SIZE` | Deprecated. Default socket send and receive buffer size.
    `static boolean` | `DFLT_TCP_NO_DELAY` | Deprecated. Default value for `TCP_NODELAY` socket option (value is `true`).
    `static int` | `DFLT_THREAD_POOL_SIZE` | Deprecated. Default size of thread pool.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlConnectorConfiguration()` | Deprecated. Creates SQL connector configuration with all default values.
    `SqlConnectorConfiguration​(SqlConnectorConfiguration cfg)` | Deprecated. Creates SQL connector configuration by copying all properties from given configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `@Nullable String` | `getHost()` | Deprecated. Get host.
    `int` | `getMaxOpenCursorsPerConnection()` | Deprecated. Gets maximum number of opened cursors per connection.
    `int` | `getPort()` | Deprecated. Get port.
    `int` | `getPortRange()` | Deprecated. Get port range.
    `int` | `getSocketReceiveBufferSize()` | Deprecated. Gets socket receive buffer size.
    `int` | `getSocketSendBufferSize()` | Deprecated. Gets socket send buffer size.
    `int` | `getThreadPoolSize()` | Deprecated. Size of thread pool that is in charge of processing SQL requests.
    `boolean` | `isTcpNoDelay()` | Deprecated. Get TCP NO_DELAY flag.
    `SqlConnectorConfiguration` | `setHost​(@Nullable String host)` | Deprecated. Set host.
    `SqlConnectorConfiguration` | `setMaxOpenCursorsPerConnection​(int maxOpenCursorsPerConn)` | Deprecated. Sets maximum number of opened cursors per connection.
    `SqlConnectorConfiguration` | `setPort​(int port)` | Deprecated. Set port.
    `SqlConnectorConfiguration` | `setPortRange​(int portRange)` | Deprecated. Set port range.
    `SqlConnectorConfiguration` | `setSocketReceiveBufferSize​(int sockRcvBufSize)` | Deprecated. Sets socket receive buffer size.
    `SqlConnectorConfiguration` | `setSocketSendBufferSize​(int sockSndBufSize)` | Deprecated. Sets socket send buffer size.
    `SqlConnectorConfiguration` | `setTcpNoDelay​(boolean tcpNoDelay)` | Deprecated. Set TCP NO_DELAY flag.
    `SqlConnectorConfiguration` | `setThreadPoolSize​(int threadPoolSize)` | Deprecated. Sets thread pool that is in charge of processing SQL requests.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_PORT

          public static final int DFLT_PORT

      Deprecated.
      Default port.
      See Also:
        Constant Field Values

    - #### DFLT_PORT_RANGE

          public static final int DFLT_PORT_RANGE

      Deprecated.
      Default port range.
      See Also:
        Constant Field Values

    - #### DFLT_SOCK_BUF_SIZE

          public static final int DFLT_SOCK_BUF_SIZE

      Deprecated.
      Default socket send and receive buffer size.
      See Also:
        Constant Field Values

    - #### DFLT_TCP_NO_DELAY

          public static final boolean DFLT_TCP_NO_DELAY

      Deprecated.
      Default value for `TCP_NODELAY` socket option (value is `true`).
      See Also:
        Constant Field Values

    - #### DFLT_MAX_OPEN_CURSORS_PER_CONN

          public static final int DFLT_MAX_OPEN_CURSORS_PER_CONN

      Deprecated.
      Default max number of open cursors per connection.
      See Also:
        Constant Field Values

    - #### DFLT_THREAD_POOL_SIZE

          public static final int DFLT_THREAD_POOL_SIZE

      Deprecated.
      Default size of thread pool.

  - ### Constructor Detail

    - #### SqlConnectorConfiguration

          public SqlConnectorConfiguration()

      Deprecated.
      Creates SQL connector configuration with all default values.

    - #### SqlConnectorConfiguration

          public SqlConnectorConfiguration​(SqlConnectorConfiguration cfg)

      Deprecated.
      Creates SQL connector configuration by copying all properties from given configuration.
      Parameters:
        `cfg` - Configuration to copy.

  - ### Method Detail

    - #### getHost

          @Nullable
          public @Nullable String getHost()

      Deprecated.
      Get host.
      Returns:
        Host.

    - #### setHost

          public SqlConnectorConfiguration setHost​(@Nullable
                                                   @Nullable String host)

      Deprecated.
      Set host.
      Parameters:
        `host` - Host.
      Returns:
        This instance for chaining.

    - #### getPort

          public int getPort()

      Deprecated.
      Get port.
      Returns:
        Port.

    - #### setPort

          public SqlConnectorConfiguration setPort​(int port)

      Deprecated.
      Set port.
      Parameters:
        `port` - Port.
      Returns:
        This instance for chaining.

    - #### getPortRange

          public int getPortRange()

      Deprecated.
      Get port range.
      Returns:
        Port range.

    - #### setPortRange

          public SqlConnectorConfiguration setPortRange​(int portRange)

      Deprecated.
      Set port range.
      Parameters:
        `portRange` - Port range.
      Returns:
        This instance for chaining.

    - #### getSocketSendBufferSize

          public int getSocketSendBufferSize()

      Deprecated.
      Gets socket send buffer size. When set to zero, operation system default will be used.

      Defaults to `DFLT_SOCK_BUF_SIZE`

      Returns:
        Socket send buffer size in bytes.

    - #### setSocketSendBufferSize

          public SqlConnectorConfiguration setSocketSendBufferSize​(int sockSndBufSize)

      Deprecated.
      Sets socket send buffer size. See `getSocketSendBufferSize()` for more information.
      Parameters:
        `sockSndBufSize` - Socket send buffer size in bytes.
      Returns:
        This instance for chaining.

    - #### getSocketReceiveBufferSize

          public int getSocketReceiveBufferSize()

      Deprecated.
      Gets socket receive buffer size. When set to zero, operation system default will be used.

      Defaults to `DFLT_SOCK_BUF_SIZE`.

      Returns:
        Socket receive buffer size in bytes.

    - #### setSocketReceiveBufferSize

          public SqlConnectorConfiguration setSocketReceiveBufferSize​(int sockRcvBufSize)

      Deprecated.
      Sets socket receive buffer size. See `getSocketReceiveBufferSize()` for more information.
      Parameters:
        `sockRcvBufSize` - Socket receive buffer size in bytes.
      Returns:
        This instance for chaining.

    - #### isTcpNoDelay

          public boolean isTcpNoDelay()

      Deprecated.
      Get TCP NO_DELAY flag.
      Returns:
        TCP NO_DELAY flag.

    - #### setTcpNoDelay

          public SqlConnectorConfiguration setTcpNoDelay​(boolean tcpNoDelay)

      Deprecated.
      Set TCP NO_DELAY flag.
      Parameters:
        `tcpNoDelay` - TCP NO_DELAY flag.
      Returns:
        This instance for chaining.

    - #### getMaxOpenCursorsPerConnection

          public int getMaxOpenCursorsPerConnection()

      Deprecated.
      Gets maximum number of opened cursors per connection.

      Defaults to `DFLT_MAX_OPEN_CURSORS_PER_CONN`.

      Returns:
        Maximum number of opened cursors.

    - #### setMaxOpenCursorsPerConnection

          public SqlConnectorConfiguration setMaxOpenCursorsPerConnection​(int maxOpenCursorsPerConn)

      Deprecated.
      Sets maximum number of opened cursors per connection.
      Parameters:
        `maxOpenCursorsPerConn` - Maximum number of opened cursors.
      Returns:
        This instance for chaining.

    - #### getThreadPoolSize

          public int getThreadPoolSize()

      Deprecated.
      Size of thread pool that is in charge of processing SQL requests.

      Defaults `DFLT_THREAD_POOL_SIZE`.

      Returns:
        Thread pool that is in charge of processing SQL requests.

    - #### setThreadPoolSize

          public SqlConnectorConfiguration setThreadPoolSize​(int threadPoolSize)

      Deprecated.
      Sets thread pool that is in charge of processing SQL requests. See `getThreadPoolSize()` for more information.
      Parameters:
        `threadPoolSize` - Thread pool that is in charge of processing SQL requests.
      Returns:
        This instance for chaining.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`